org.apache.fop.pdf

## Enum PDFUAMode

- java.lang.Object
- - java.lang.Enum<PDFUAMode>
  - - org.apache.fop.pdf.PDFUAMode

All Implemented Interfaces:
  Serializable, Comparable<PDFUAMode>

    public enum PDFUAMode
    extends Enum<PDFUAMode>

Enum class for PDF/UA modes.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DISABLED` PDF/UA disabled.
`PDFUA_1` PDF/UA-1 enabled.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getName()`
`int` `getPart()`
`static PDFUAMode` `getValueOf(String s)` Returns the mode enum object given a String.
`boolean` `isEnabled()` Returns `true` if this enum corresponds to one of the available PDF/A modes.
`String` `toString()`
`static PDFUAMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PDFUAMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DISABLED

    public static final PDFUAMode DISABLED

PDF/UA disabled.

#### PDFUA_1

    public static final PDFUAMode PDFUA_1

PDF/UA-1 enabled.

### Method Detail

#### values

    public static PDFUAMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PDFUAMode c : PDFUAMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PDFUAMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Returns:
  the name of the enum

#### getPart

    public int getPart()

#### isEnabled

    public boolean isEnabled()

Returns `true` if this enum corresponds to one of the available PDF/A modes.

Returns:
  `true` if this is not DISABLED

#### getValueOf

    public static PDFUAMode getValueOf(String s)

Returns the mode enum object given a String.

Parameters:
  `s` - the string
Returns:
  the PDFAMode enum object (DISABLED will be returned if no match is found)

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<PDFUAMode>`